<?xml version="1.0" encoding="UTF-8"?>
<!-- 
  ======================================================================
  このスタイルシートは、「気象庁防災情報XMLフォーマット」に対して活用事例を示すサンプルであり、資料として参照することを目的とする。
  よって、本スタイルシートを直接利用した場合に発生する問題に対して、気象庁は責任を負わない。
  Copyright (c) 気象庁 2010 All rights reserved.

  【本スタイルシートの説明】
　火山に関するお知らせを現行テキスト電文に近い形で表示させる例

  【更新履歴】
  2010年04月30日　Ver.1.0 　地震火山部火山課
  ======================================================================
  --> 
<xsl:stylesheet xmlns:jmx="http://xml.kishou.go.jp/jmaxml1/"
 xmlns:jmx_ib="http://xml.kishou.go.jp/jmaxml1/informationBasis1/"
 xmlns:jmx_volc="http://xml.kishou.go.jp/jmaxml1/body/volcanology1/"
 xmlns:jmx_eb="http://xml.kishou.go.jp/jmaxml1/elementBasis1/"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 <xsl:output method="html" encoding="UTF-8" />

<!-- 文書 -->
<xsl:template match="/">
  <html>
    <xsl:apply-templates select="/jmx:Report"/>
  </html>
</xsl:template>

<!-- 電文 -->
<xsl:template match="/jmx:Report">
  <head>
    <xsl:apply-templates select="jmx:Control"/>
  </head>
  <body>
    <xsl:apply-templates select="jmx_ib:Head"/>
    <xsl:apply-templates select="jmx_volc:Body"/>
  </body>
</xsl:template>

<!-- コントロール部 -->
<xsl:template match="jmx:Control">
  <xsl:copy-of select="jmx:Title"/>
</xsl:template>

<!-- ヘッド部 -->
<xsl:template match="jmx_ib:Head">
  <div align="left">
    <h1><xsl:value-of select="jmx_ib:Title"/></h1>
<!-- 発表日時と発表官署 -->
    <p>
      <xsl:value-of select="substring-before(jmx_ib:ReportDateTime,'-')"/>  <xsl:text>年</xsl:text>
      <xsl:value-of select="substring(jmx_ib:ReportDateTime,6,2)"/>         <xsl:text>月</xsl:text>
      <xsl:value-of select="substring(jmx_ib:ReportDateTime,9,2)"/>         <xsl:text>日</xsl:text>
      <xsl:value-of select="substring(jmx_ib:ReportDateTime,12,2)"/>        <xsl:text>時</xsl:text>
      <xsl:value-of select="substring(jmx_ib:ReportDateTime,15,2)"/>        <xsl:text>分</xsl:text>
      <xsl:value-of select="jmx_ib:InfoStatus"/>                            <xsl:text>　</xsl:text>
      <xsl:value-of select="/jmx:Report/jmx:Control/jmx:PublishingOffice"/> <xsl:text>発表</xsl:text>
    </p>
  </div>
</xsl:template>

<!-- ボディ部（お知らせ文） -->
<xsl:template match="jmx_volc:Body">
  <div>
    <xsl:call-template name="loop">
	  <xsl:with-param name="honbun" select="jmx_volc:Text"/>
    </xsl:call-template>
  </div>
</xsl:template>

<!-- 本文の表示 -->
<xsl:template name="loop">
<xsl:param name="honbun"/>
<!-- 本文がなくなるまで表示する -->
<xsl:if test="1 &lt;= string-length($honbun)">
<!-- 改行で区切る -->
  <xsl:value-of select="substring-before($honbun,'&#xA;')"/><br/>
  <xsl:variable name="sub-honbun" select="substring-after($honbun,'&#xA;')"/>
<!-- 次の表示 -->
  <xsl:call-template name="loop">
    <xsl:with-param name="honbun" select="$sub-honbun"/>
  </xsl:call-template>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
