<?xml version="1.0" encoding="utf-8"?>

<!--
  ======================================================================
  このスタイルシートは、「気象庁防災情報XMLフォーマット」に対して活用事例を示すサンプルであり、資料として参照することを目的とする。
  よって、本スタイルシートを直接利用した場合に発生する問題に対して、気象庁は責任を負わない。
  Copyright (c) 気象庁 2010 All rights reserved.

  【本スタイルシートの説明】
  警報注意報新ＸＭＬ電文スタイルシート(シンプル表示)

  【更新履歴】
  2010年4月30日　Ver.1.0 　初期版
  2010年8月 6日　Ver.1.1 　発表官署をEditorialOfficeからPublishingOfficeに変更
  ======================================================================
-->


<xsl:stylesheet 
xmlns:jmx="http://xml.kishou.go.jp/jmaxml1/"
xmlns:jmx_ib="http://xml.kishou.go.jp/jmaxml1/informationBasis1/" 
xmlns:jmx_mete="http://xml.kishou.go.jp/jmaxml1/body/meteorology1/" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" />
<xsl:template match="/">
	<table width="90%"><tr><td>
	<!--テンプレート呼び出し-->
		<xsl:apply-templates select="jmx:Report/jmx_ib:Head" />
	</td></tr></table>
</xsl:template>


<!--表示テンプレート-->
	<xsl:template match="jmx_ib:Head">
	<!--発表日時-->
		<h1>
		<xsl:text>平成</xsl:text>
		<xsl:value-of select="substring(jmx_ib:ReportDateTime,1,4) - 1988"/>
		<xsl:text>年</xsl:text>
		<xsl:value-of select="substring(jmx_ib:ReportDateTime,6,2)"/>
		<xsl:text>月</xsl:text>
		<xsl:value-of select="substring(jmx_ib:ReportDateTime,9,2)"/>
		<xsl:text>日</xsl:text>
		<xsl:value-of select="substring(jmx_ib:ReportDateTime,12,2)"/>
		<xsl:text>時</xsl:text>
		<xsl:value-of select="substring(jmx_ib:ReportDateTime,15,2)"/>
		<xsl:text>分</xsl:text>
		<xsl:text>　　</xsl:text>
	<!--発表官署-->
		<xsl:value-of select="/jmx:Report/jmx:Control/jmx:PublishingOffice"/>
		<xsl:text>発表</xsl:text>
	</h1>
	<!--注意警戒文-->
		<p class="mtx"><b><xsl:value-of select="jmx_ib:Headline/jmx_ib:Text"/></b></p><br/>
	<!--お知らせ-->
		<p class="mtx"><xsl:text>お知らせ：</xsl:text><xsl:value-of select="../jmx_mete:Body/jmx_mete:Notice" /></p><br/>
	<!--警報種別-->
		<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information[@type='気象警報・注意報（市町村等）']/jmx_ib:Item">
			<xsl:value-of select="jmx_ib:Areas/jmx_ib:Area/jmx_ib:Name" />
			<xsl:text>　　</xsl:text>
			<xsl:for-each select="jmx_ib:Kind">
				<xsl:value-of select="jmx_ib:Name" />
				<xsl:if test="count(jmx_ib:Condition)!= 0">
					<xsl:text>（</xsl:text>
					<xsl:value-of select="jmx_ib:Condition" />
					<xsl:text>）</xsl:text>
				</xsl:if>
				<xsl:text>　　</xsl:text>
			</xsl:for-each>
			<br/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
