<?xml version="1.0" encoding="UTF-8"?>

<!--
======================================================================
　このスタイルシートは、「気象庁防災情報XMLフォーマット」の地震津波、東
海情報に対して活用事例を示すサンプルであり、資料として参照することを目
的とする。
　よって、本スタイルシートを直接利用した場合に発生する問題に対して、気
象庁は責任を負わない。
  Copyright (c) 気象庁 2010 All rights reserved.

  【本スタイルシートの説明】
  地震・津波・東海情報用

  【更新履歴】
  2010年4月30日　Ver.1.0 　初期版
  ======================================================================
-->

<xsl:stylesheet 
xmlns:jmx="http://xml.kishou.go.jp/jmaxml1/"
xmlns:jmx_ib="http://xml.kishou.go.jp/jmaxml1/informationBasis1/" 
xmlns:jmx_eb="http://xml.kishou.go.jp/jmaxml1/elementBasis1/" 
xmlns:jmx_seis="http://xml.kishou.go.jp/jmaxml1/body/seismology1/" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes" />


<xsl:template match="/">
	<table border="1" width="90%" align="center" font-size="11pt">
	<tr><td>
	<!-- 電文基本要素 -->
		<xsl:apply-templates select="/jmx:Report/jmx_ib:Head" mode="Basic" />
	<!-- 見出し部 -->
		<h3>＊＊＊＊＊＊＊　見出し　＊＊＊＊＊＊＊</h3>
		<xsl:apply-templates select="/jmx:Report/jmx_ib:Head" mode="Head" />
	<!-- 本文 -->
		<h3>＊＊＊＊＊＊＊　本文　　＊＊＊＊＊＊＊</h3>
		<xsl:apply-templates select="/jmx:Report/jmx_seis:Body" mode="Body" />

	<!-- 付加文 -->
<!--		<div><xsl:value-of select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:WarningComment/jmx_seis:Text" /></div>
		<div><xsl:value-of select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:ForecastComment/jmx_seis:Text" /></div>
		<div><xsl:value-of select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:FreeFormComment" /></div>  -->

		<xsl:if test="count(/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:WarningComment/jmx_seis:Text)!='0'">
			<xsl:call-template name="mkBR">
			<xsl:with-param name="value" select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:WarningComment/jmx_seis:Text" />
			</xsl:call-template>
			<br />
		</xsl:if>
		<xsl:if test="count(/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:ForecastComment/jmx_seis:Text)!='0'">
			<xsl:call-template name="mkBR">
			<xsl:with-param name="value" select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:ForecastComment/jmx_seis:Text" />
			</xsl:call-template>
			<br />
		</xsl:if>
		<xsl:if test="count(/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:VarComment/jmx_seis:Text)!='0'">
			<xsl:call-template name="mkBR">
			<xsl:with-param name="value" select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:VarComment/jmx_seis:Text" />
			</xsl:call-template>
			<br />
		</xsl:if>

		<xsl:if test="count(/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:FreeFormComment)!='0'">
			<xsl:call-template name="mkBR">
			<xsl:with-param name="value" select="/jmx:Report/jmx_seis:Body/jmx_seis:Comments/jmx_seis:FreeFormComment" />
			</xsl:call-template>
			<br />
		</xsl:if>



	</td></tr>
	</table>

</xsl:template>

<!-- ヘッダ部の翻訳 -->
<xsl:template match="/jmx:Report/jmx_ib:Head" mode="Basic">

	<!-- 発表官署 -->
	<div><xsl:value-of select="jmx_ib:Title"/>
	<xsl:if test="jmx_ib:Serial!=''">
		 第<xsl:value-of select="jmx_ib:Serial"/>報
	</xsl:if>
	</div>

	<!-- 地震ID -->
	<div align="right">ID:<xsl:value-of select="jmx_ib:EventID"/></div>

	<!-- 発表日時 -->
	<div align="right">
		<xsl:choose>
		<xsl:when test="contains(jmx_ib:Title,'緊急地震速報')">
			<xsl:call-template name="DispDateTime2">
			<xsl:with-param name="Jikan" select="jmx_ib:ReportDateTime" />
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_ib:ReportDateTime" />
			</xsl:call-template>
		</xsl:otherwise>
		</xsl:choose>
	</div>
	<!-- 発表官署 -->
	<div align="right">
		<xsl:value-of select="/jmx:Report/jmx:Control/jmx:PublishingOffice"/>
	<!-- 発表状況 -->
		<xsl:text>発表</xsl:text>
		<xsl:if test="contains(jmx_ib:InfoType,'訂正')">
			<xsl:text>（訂正）</xsl:text>
		</xsl:if>
	</div>

</xsl:template>

<!-- 見出し部の翻訳 -->
<xsl:template match="/jmx:Report/jmx_ib:Head" mode="Head">

	<!-- 見出し文 -->
	<xsl:call-template name="mkBR">
	<xsl:with-param name="value" select="jmx_ib:Headline/jmx_ib:Text" />
	</xsl:call-template>
	<br />

	<!-- 警報対象地域 -->
	<br />
	<xsl:if test="jmx_ib:Headline/jmx_ib:Information!=''">

		<xsl:choose>
		<xsl:when test="/jmx:Report/jmx:Control/jmx:Title='緊急地震速報（警報）'">
			<table>
			<!-- 続報かどうかを判定する -->
			<xsl:if test="jmx_ib:Serial > 1">
				<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
					<xsl:if test="jmx_ib:LastKind/jmx_ib:Name = 'なし'">
						<tr><td>追加された<xsl:value-of select="../@type" /></td></tr><tr><td>
						<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
							<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
						</xsl:for-each>
						</td></tr>
					</xsl:if>
				</xsl:for-each>
				<tr><td>--------------------------</td></tr>
			</xsl:if>

			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information">
				<tr><td><xsl:value-of select="@type" /></td></tr><tr><td>
				<xsl:for-each select="jmx_ib:Item/jmx_ib:Areas/jmx_ib:Area">
					<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
				</xsl:for-each>
				</td></tr>
			</xsl:for-each>
			</table>
		</xsl:when>

		<xsl:when test="/jmx:Report/jmx:Control/jmx:Title='震度速報'">
			<table>
			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
				<tr><td><xsl:value-of select="jmx_ib:Kind/jmx_ib:Name" /></td><td>
				<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
					<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
				</xsl:for-each>
				</td></tr>
			</xsl:for-each>
			</table>
		</xsl:when>

		<xsl:when test="contains(/jmx:Report/jmx:Control/jmx:Title,'震度')">
			地震情報（細分区域）
			<table>
			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
				<xsl:if test="jmx_ib:Areas/@codeType='地震情報／細分区域'">
					<tr><td><xsl:value-of select="jmx_ib:Kind/jmx_ib:Name" /></td><td>
					<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
						<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
					</xsl:for-each>
					</td></tr>
				</xsl:if>
			</xsl:for-each>
			</table><br/>
			地震情報（市町村）
			<table>
			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
				<xsl:if test="jmx_ib:Areas/@codeType='気象・地震・火山情報／市町村等'">
					<tr><td><xsl:value-of select="jmx_ib:Kind/jmx_ib:Name" /></td><td>
					<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
						<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
					</xsl:for-each>
					</td></tr>
				</xsl:if>
			</xsl:for-each>
			</table>



		</xsl:when>

		<xsl:when test="/jmx:Report/jmx:Control/jmx:Title='津波警報・注意報・予報'">
			<table>
			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
				<tr><td><xsl:value-of select="jmx_ib:Kind/jmx_ib:Name" />
				<xsl:if test="jmx_ib:Kind/jmx_ib:Condition!=''">
<br />　（<xsl:value-of select="jmx_ib:Kind/jmx_ib:Condition" />）
				</xsl:if>
				</td><td>
				<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
					<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
				</xsl:for-each>
				</td></tr>
			</xsl:for-each>
			</table>
		</xsl:when>
<!--<xsl:when test="/jmx:Report/jmx:Control/jmx:Title='津波注意報'">
			<table>
			<xsl:for-each select="jmx_ib:Headline/jmx_ib:Information/jmx_ib:Item">
				<tr><td><xsl:value-of select="jmx_ib:Kind/jmx_ib:Name" />
				<xsl:if test="jmx_ib:Kind/jmx_ib:Condition!=''">
<br />　（<xsl:value-of select="jmx_ib:Kind/jmx_ib:Condition" />）
				</xsl:if>
				</td><td>
				<xsl:for-each select="jmx_ib:Areas/jmx_ib:Area">
					<xsl:call-template name="blank1"/><xsl:value-of select="jmx_ib:Name" />
				</xsl:for-each>
				</td></tr>
			</xsl:for-each>
			</table>
		</xsl:when> -->
		</xsl:choose>

	</xsl:if>
	<br />

</xsl:template>

<!-- 本文部の翻訳-->
<xsl:template match="/jmx:Report/jmx_seis:Body" mode="Body">
	<!-- 命名関係 -->
	<xsl:if test="count(jmx_seis:Naming)!='0'">
		命名：<xsl:value-of select="jmx_seis:Naming"/><br/>
		<xsl:call-template name="blank3"/>(<xsl:value-of select="jmx_seis:Naming/@english"/>)<br/>
	</xsl:if>

	<!-- 津波関係 -->
	<xsl:if test="jmx_seis:Tsunami!=''">
		<xsl:if test="jmx_seis:Tsunami/jmx_seis:Estimation!=''">
			GPS波浪計、沖合い津波計による沿岸での津波予測<br/>
			<table>
			<xsl:for-each select="jmx_seis:Tsunami/jmx_seis:Estimation/jmx_seis:Item">
				<tr><td><xsl:value-of select="jmx_seis:Area/jmx_seis:Name"/></td>
				<td>到達予想：
				<xsl:call-template name="DispDateTime1">
				<xsl:with-param name="Jikan" select="jmx_seis:FirstHeight/jmx_seis:ArrivalTimeFrom" />
				</xsl:call-template>
				<xsl:text>～</xsl:text>
				<br/><xsl:call-template name="blank6"/>
				<xsl:call-template name="DispDateTime1">
				<xsl:with-param name="Jikan" select="jmx_seis:FirstHeight/jmx_seis:ArrivalTimeTo" />
				</xsl:call-template>
				<xsl:if test="jmx_seis:FirstHeight/jmx_seis:Condition!=''">
					<br/><xsl:value-of select="jmx_seis:FirstHeight/jmx_seis:Condition"/>
				</xsl:if>
				</td>
				<td>津波の推定値：
				<xsl:choose>
					<xsl:when test="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight!=''">
						<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="jmx_seis:MaxHeight/jmx_seis:TsunamiHeightFrom/@description"/>
						<xsl:text>～</xsl:text>
						<xsl:value-of select="jmx_seis:MaxHeight/jmx_seis:TsunamiHeightTo/@description"/>
					</xsl:otherwise>
				</xsl:choose>
				</td></tr>
			</xsl:for-each>
			</table><br/>
		</xsl:if>

		<xsl:if test="jmx_seis:Tsunami/jmx_seis:Observation!=''">
			各潮位観測点の津波観測値<br/>
			<table>
			<xsl:for-each select="jmx_seis:Tsunami/jmx_seis:Observation/jmx_seis:Item">
				<tr><td colspan="3"><xsl:value-of select="jmx_seis:Area/jmx_seis:Name"/></td></tr>
				<xsl:for-each select="jmx_seis:Station">
					<tr><td></td>
					<td><xsl:value-of select="jmx_seis:Name"/></td>
					<td>第１波：
					<xsl:if test="count(jmx_seis:FirstHeight/jmx_seis:ArrivalTime)!='0'">
						<xsl:call-template name="DispDateTime1">
						<xsl:with-param name="Jikan" select="jmx_seis:FirstHeight/jmx_seis:ArrivalTime" />
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(jmx_seis:FirstHeight/jmx_seis:Initial)!='0'">
						<!-- <xsl:call-template name="blank1"/> -->
						（<xsl:value-of select="jmx_seis:FirstHeight/jmx_seis:Initial"/>）
					</xsl:if>
					<xsl:if test="count(jmx_seis:FirstHeight/jmx_eb:TsunamiHeight)!='0'">
						<xsl:value-of select="jmx_seis:FirstHeight/jmx_eb:TsunamiHeight/@description"/>
					</xsl:if>
					<xsl:if test="count(jmx_seis:FirstHeight/jmx_seis:Condition)!='0'">
						<xsl:call-template name="blank1"/>
						<xsl:value-of select="jmx_seis:FirstHeight/jmx_seis:Condition"/>
					</xsl:if>
					<br/>
					最大波：
					<xsl:if test="count(jmx_seis:MaxHeight/jmx_seis:DateTime)!='0'">
						<xsl:call-template name="DispDateTime1">
						<xsl:with-param name="Jikan" select="jmx_seis:MaxHeight/jmx_seis:DateTime" />
						</xsl:call-template>
					</xsl:if>
					<xsl:if test="count(jmx_seis:MaxHeight/jmx_eb:TsunamiHeight)!='0'">
						<xsl:call-template name="blank5"/>
						<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/>
					</xsl:if>
					<xsl:if test="count(jmx_seis:MaxHeight/jmx_seis:Condition)!='0'">
						<br/>
						<xsl:value-of select="jmx_seis:MaxHeight/jmx_seis:Condition"/>
					</xsl:if>

<!--					<xsl:choose>
						<xsl:when test="jmx_seis:MaxHeight/jmx_seis:Condition=''">
							<xsl:call-template name="DispDateTime1">
							<xsl:with-param name="Jikan" select="jmx_seis:MaxHeight/jmx_seis:DateTime" />
							</xsl:call-template>
							<xsl:call-template name="blank5"/>
							<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/>
						</xsl:when>
						<xsl:when test="count(jmx_seis:MaxHeight/jmx_seis:Condition)='0'">
							<xsl:call-template name="DispDateTime1">
							<xsl:with-param name="Jikan" select="jmx_seis:MaxHeight/jmx_seis:DateTime" />
							</xsl:call-template>
							<xsl:call-template name="blank5"/>
							<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="DispDateTime1">
							<xsl:with-param name="Jikan" select="jmx_seis:MaxHeight/jmx_seis:DateTime" />
							</xsl:call-template>
							<xsl:call-template name="blank5"/>
							<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/>

							<br/><xsl:value-of select="jmx_seis:MaxHeight/jmx_seis:Condition"/>
						</xsl:otherwise>
					</xsl:choose>  -->
					</td></tr>
				</xsl:for-each>
			</xsl:for-each>
			</table><br/>
		</xsl:if>

		<xsl:if test="jmx_seis:Tsunami/jmx_seis:Forecast!=''">
			各予報区の津波警報・注意報・予報、予想到達時刻、及び各潮位観測点の予想到達時刻・満潮時刻<br/>
			<table>
			<xsl:for-each select="jmx_seis:Tsunami/jmx_seis:Forecast/jmx_seis:Item">
				<tr><td><xsl:value-of select="jmx_seis:Area/jmx_seis:Name"/></td>
				<td><xsl:value-of select="jmx_seis:Category/jmx_seis:Kind/jmx_seis:Name"/><br/>
				<xsl:choose>
					<xsl:when  test="jmx_seis:Category/jmx_seis:Kind/jmx_seis:Name=jmx_seis:Category/jmx_seis:LastKind/jmx_seis:Name">
						(変化なし)
					</xsl:when>
					<xsl:when test="jmx_seis:Category/jmx_seis:LastKind/jmx_seis:Name!=''">
						(<xsl:value-of select="jmx_seis:Category/jmx_seis:LastKind/jmx_seis:Name"/>)
					</xsl:when>
					<xsl:otherwise>
						(変化なし)
					</xsl:otherwise>
				</xsl:choose>
				</td>
				<td>到達予想：
				<xsl:if test= "jmx_seis:FirstHeight!=''">
					<xsl:choose>
						<xsl:when test="jmx_seis:FirstHeight/jmx_seis:Condition!=''">
							<xsl:value-of select="jmx_seis:FirstHeight/jmx_seis:Condition"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="DispDateTime1">
							<xsl:with-param name="Jikan" select="jmx_seis:FirstHeight/jmx_seis:ArrivalTime" />
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				</td>
				<td><xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@type"/>
				<xsl:value-of select="jmx_seis:MaxHeight/jmx_eb:TsunamiHeight/@description"/></td></tr>
				<xsl:for-each select="jmx_seis:Station">
					<tr><td></td>
					<td><xsl:value-of select="jmx_seis:Name"/></td>
					<td>到達予想：
					<xsl:if test= "jmx_seis:FirstHeight!=''">
						<xsl:choose>
							<xsl:when test="jmx_seis:FirstHeight/jmx_seis:Condition!=''">
								<xsl:value-of select="jmx_seis:FirstHeight/jmx_seis:Condition"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="DispDateTime1">
								<xsl:with-param name="Jikan" select="jmx_seis:FirstHeight/jmx_seis:ArrivalTime" />
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
					<br/>満潮時刻：
						<xsl:call-template name="DispDateTime1">
						<xsl:with-param name="Jikan" select="jmx_seis:HighTideDateTime" />
						</xsl:call-template>
					</td><td></td></tr>
				</xsl:for-each>
			</xsl:for-each>
			</table><br/>
		</xsl:if>
	</xsl:if>

	<xsl:if test="jmx_seis:Earthquake/jmx_seis:OriginTime!=''">
	<xsl:choose>
		<xsl:when test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:Code &lt;= 941">
			<div>
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:Earthquake/jmx_seis:ArrivalTime" />
			</xsl:call-template>
			<xsl:text>ごろ地震がありました。</xsl:text>
			</div>
		</xsl:when>
		<xsl:otherwise>
			<div>
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:Earthquake/jmx_seis:OriginTime" />
			</xsl:call-template>
			<xsl:text>ごろ地震がありました。</xsl:text>
			</div>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:if>

	<xsl:if test="jmx_seis:Earthquake/jmx_seis:Hypocenter!=''">
		<div>
		<!-- 震源要素 -->
		<xsl:value-of select="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_eb:Coordinate/@description"/>

		<!-- 震央補助表現 -->
		<xsl:if test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:NameFromMark!=''">
			（<xsl:value-of select="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:NameFromMark"/>）
		</xsl:if>
		<xsl:call-template name="blank1"/>
		<xsl:value-of select="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:Name"/>
		<xsl:call-template name="blank1"/>
		<xsl:choose>
			<xsl:when test="jmx_seis:Earthquake/jmx_eb:Magnitude='NaN'">
				<xsl:value-of select="jmx_seis:Earthquake/jmx_eb:Magnitude/@description"/>
			</xsl:when>
			<xsl:otherwise>
				マグニチュード<xsl:value-of select="jmx_seis:Earthquake/jmx_eb:Magnitude"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- 震源要素が2つある場合(度分単位)  ここを動かすとエラーが出るのでとりあえずコメントアウト
		<xsl:for-each select="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_eb:Coordinate/@type!=''">
			<xsl:value-of select="../@description"/>
		</xsl:for-each> -->
		</div>
		<!-- 遠地関連の補足(詳細震央地名と震源決定機関) -->
		<div>
			<xsl:if test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:DetailedName!=''">（
				<xsl:choose>
					<xsl:when test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Source='ＰＴＷＣ'">
						震源は太平洋津波警報センター（ＰＴＷＣ）によるものです。
					</xsl:when>
					<xsl:when test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Source='ＡＴＷＣ'">
						震源は西海岸・アラスカ津波警報センター（ＷＣＡＴＷＣ）によるものです。
					</xsl:when>
					<xsl:when test="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Source='ＵＳＧＳ'">
						震源は米国地質調査所（ＵＳＧＳ，ＮＥＩＣ）によるものです。
					</xsl:when>
				</xsl:choose>
					詳しい震源位置は<xsl:value-of select="jmx_seis:Earthquake/jmx_seis:Hypocenter/jmx_seis:Area/jmx_seis:DetailedName"/>です。）
			</xsl:if>
		</div>
	</xsl:if>

	<xsl:if test="jmx_seis:Intensity/jmx_seis:Observation!=''">
		<br/>都道府県、地域、市町村、地点の震度
		<table width="50%">
		<xsl:for-each select="jmx_seis:Intensity/jmx_seis:Observation/jmx_seis:Pref">
			<tr><td colspan="3"><xsl:value-of select="jmx_seis:Name"/>
			（最大震度
			<xsl:call-template name="SIchange">
			<xsl:with-param name="SI" select="jmx_seis:MaxInt" />
			</xsl:call-template>
			）</td></tr>
			<xsl:for-each select="jmx_seis:Area">
				<tr><td><xsl:call-template name="blank1"/><xsl:value-of select="jmx_seis:Name"/></td>
				<td>
				<xsl:call-template name="SIchange">
				<xsl:with-param name="SI" select="jmx_seis:MaxInt" />
				</xsl:call-template>
				</td>
				<td>
				<xsl:if test="jmx_seis:Revise='追加'">（追加）</xsl:if>
				<xsl:if test="jmx_seis:Revise='上方修正'">（上方修正）</xsl:if>
				<xsl:if test="jmx_seis:Revise='下方修正'">（下方修正）</xsl:if>
				</td></tr>
				<xsl:for-each select="jmx_seis:City">
					<tr><td><xsl:call-template name="blank2"/><xsl:value-of select="jmx_seis:Name"/></td>
					<td>
					<xsl:call-template name="SIchange">
					<xsl:with-param name="SI" select="jmx_seis:MaxInt" />
					</xsl:call-template>
					</td>
					<td>
					<xsl:if test="jmx_seis:Revise='追加'">（追加）</xsl:if>
					<xsl:if test="jmx_seis:Revise='上方修正'">（上方修正）</xsl:if>
					<xsl:if test="jmx_seis:Revise='下方修正'">（下方修正）</xsl:if>
					</td></tr>
					<xsl:for-each select="jmx_seis:IntensityStation">
						<tr><td><xsl:call-template name="blank3"/><xsl:value-of select="jmx_seis:Name"/></td>
						<td>
						<xsl:call-template name="SIchange">
						<xsl:with-param name="SI" select="jmx_seis:Int" />
						</xsl:call-template>
						</td>
						<td>
						<xsl:if test="jmx_seis:Revise='追加'">（追加）</xsl:if>
						<xsl:if test="jmx_seis:Revise='上方修正'">（上方修正）</xsl:if>
						<xsl:if test="jmx_seis:Revise='下方修正'">（下方修正）</xsl:if>
						</td></tr>
					</xsl:for-each>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:if>

	<xsl:if test="jmx_seis:Intensity/jmx_seis:Forecast!=''">
		<br/>最大予測震度
		<xsl:choose>
			<xsl:when test="contains(jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:From,jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:To)">
				<xsl:call-template name="SIchange">
				<xsl:with-param name="SI" select="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:From" />
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:To='over'">
				<xsl:call-template name="SIchange">
				<xsl:with-param name="SI" select="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:From" />
				</xsl:call-template>
				程度以上
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="SIchange">
				<xsl:with-param name="SI" select="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:From" />
				</xsl:call-template>
				～
				<xsl:call-template name="SIchange">
				<xsl:with-param name="SI" select="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:ForecastInt/jmx_seis:To" />
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<br/>
		<xsl:if test="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:Pref/jmx_seis:Area!=''">
			<br/>各地域の予測震度と到達予想時刻
			<table width="80%">
			<xsl:for-each select="jmx_seis:Intensity/jmx_seis:Forecast/jmx_seis:Pref/jmx_seis:Area">
				<tr><td>
				<xsl:value-of select="jmx_seis:Name"/>
				</td><td>
				<xsl:choose>
					<xsl:when test="contains(jmx_seis:ForecastInt/jmx_seis:From,jmx_seis:ForecastInt/jmx_seis:To)">
						予測震度
						<xsl:call-template name="SIchange">
						<xsl:with-param name="SI" select="jmx_seis:ForecastInt/jmx_seis:From" />
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="jmx_seis:ForecastInt/jmx_seis:To='over'">
						予測震度
						<xsl:call-template name="SIchange">
						<xsl:with-param name="SI" select="jmx_seis:ForecastInt/jmx_seis:From" />
						</xsl:call-template>
						程度以上
					</xsl:when>
					<xsl:otherwise>
						予測震度
						<xsl:call-template name="SIchange">
						<xsl:with-param name="SI" select="jmx_seis:ForecastInt/jmx_seis:From" />
						</xsl:call-template>
						～
						<xsl:call-template name="SIchange">
						<xsl:with-param name="SI" select="jmx_seis:ForecastInt/jmx_seis:To" />
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				</td><td>
				<xsl:choose>
					<xsl:when test="jmx_seis:Condition!=''">
						<xsl:value-of select="jmx_seis:Condition"/>
					</xsl:when>
					<xsl:when test="jmx_seis:ArrivalTime!=''">
						<xsl:call-template name="DispDateTime2">
						<xsl:with-param name="Jikan" select="jmx_seis:ArrivalTime" />
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
				</td></tr>
			</xsl:for-each>
			</table>
		</xsl:if>
	</xsl:if>

	<xsl:if test="count(jmx_seis:Tokai/jmx_seis:Text)!='0'">
		<xsl:call-template name="mkBR">
		<xsl:with-param name="value" select="jmx_seis:Tokai/jmx_seis:Text" />
		</xsl:call-template>
		<br />
	</xsl:if>

	<!-- 余震確率関係 -->
	<xsl:if test="count(jmx_seis:Aftershock)!='0'">
		余震確率<br/>
		<table>
		<xsl:for-each select="jmx_seis:Aftershock/jmx_seis:Item">
			<tr>
			<td><xsl:value-of select="jmx_eb:ProbabilityOfAftershock/@type"/></td>
			<td>開始期間：
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:StartTime" />
			</xsl:call-template>
			<br/>終了期間：
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:EndTime" />
			</xsl:call-template>
			</td>
			<td>想定規模：<xsl:value-of select="jmx_seis:TargetMagnitude/@description"/></td>
			<td>発生確率：<xsl:value-of select="jmx_eb:ProbabilityOfAftershock"/>％</td>
			</tr>
		</xsl:for-each>
		</table>

		<xsl:if test="count(jmx_seis:Aftershock/jmx_seis:Text)!='0'">
			<xsl:call-template name="mkBR">
			<xsl:with-param name="value" select="jmx_seis:Aftershock/jmx_seis:Text" />
			</xsl:call-template>
			<br />
		</xsl:if>
	</xsl:if>

	<!-- 地震回数関係 -->
	<xsl:if test="count(jmx_seis:EarthquakeCount)!='0'">
		地震回数<br/>
		<table>
		<xsl:for-each select="jmx_seis:EarthquakeCount/jmx_seis:Item">
			<tr><td><xsl:value-of select="@type"/></td>
			<td>開始期間：
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:StartTime" />
			</xsl:call-template>
			<br/>終了期間：
			<xsl:call-template name="DispDateTime1">
			<xsl:with-param name="Jikan" select="jmx_seis:EndTime" />
			</xsl:call-template>
			</td>
			<td>地震回数：<xsl:value-of select="jmx_seis:Number"/>回</td>
			<td>有感回数：<xsl:value-of select="jmx_seis:FeltNumber"/>回</td>
			</tr>
		</xsl:for-each>
		</table>
		<br/>
	</xsl:if>

	<!-- テキスト文 -->
	<xsl:if test="count(jmx_seis:Text)!='0'">
		<xsl:call-template name="mkBR">
		<xsl:with-param name="value" select="jmx_seis:Text" />
		</xsl:call-template>
		<br />
	</xsl:if>

	<!-- 次回発表予定 -->
	<xsl:if test="count(jmx_seis:NextAdvisory)!='0'">
		<br/>
		次回発表予定：<br />
		<xsl:call-template name="mkBR">
		<xsl:with-param name="value" select="jmx_seis:NextAdvisory" />
		</xsl:call-template>
		<br />
	</xsl:if>


</xsl:template>

<!-- ============================ -->
<!-- 改行支援テンプレート　　　　 -->
<!-- ============================ -->
<xsl:template name="mkBR">
    <xsl:param name="value">dummy</xsl:param>
    <xsl:choose>
        <xsl:when test="contains($value, '&#xA;')">
            <xsl:value-of select="substring-before($value, '&#xA;')"/>
            <br/>
            <xsl:call-template name="mkBR">
                <xsl:with-param name="value" select="substring-after($value, '&#xA;')"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$value"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<!-- ============================ -->
<!-- 震度変換表示テンプレート　　 -->
<!-- ============================ -->
<xsl:template name="SIchange">
	<xsl:param name="SI">dummy</xsl:param>
	<xsl:choose>
		<xsl:when test="contains($SI,'-')">
			<xsl:value-of select="translate($SI,'-','弱')" />
		</xsl:when>
		<xsl:when test="contains($SI,'+')">
			<xsl:value-of select="translate($SI,'+','強')" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$SI" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- ============================ -->
<!-- 日付表示テンプレート(分単位) -->
<!-- ============================ -->
<xsl:template name="DispDateTime1">
	<xsl:param name="Jikan">dummy</xsl:param>
	<xsl:text>平成</xsl:text>
	<xsl:value-of select="substring($Jikan,1,4) - 1988 "/>
	<xsl:text>年</xsl:text>
	<xsl:value-of select="substring($Jikan,6,2)"/>
	<xsl:text>月</xsl:text>
	<xsl:value-of select="substring($Jikan,9,2)"/>
	<xsl:text>日</xsl:text>
	<xsl:value-of select="substring($Jikan,12,2)"/>
	<xsl:text>時</xsl:text>
	<xsl:value-of select="substring($Jikan,15,2)"/>
	<xsl:text>分</xsl:text>
</xsl:template>

<!-- ============================ -->
<!-- 日付表示テンプレート(秒単位) -->
<!-- ============================ -->
<xsl:template name="DispDateTime2">
	<xsl:param name="Jikan">dummy</xsl:param>
	<xsl:text>平成</xsl:text>
	<xsl:value-of select="substring($Jikan,1,4) - 1988 "/>
	<xsl:text>年</xsl:text>
	<xsl:value-of select="substring($Jikan,6,2)"/>
	<xsl:text>月</xsl:text>
	<xsl:value-of select="substring($Jikan,9,2)"/>
	<xsl:text>日</xsl:text>
	<xsl:value-of select="substring($Jikan,12,2)"/>
	<xsl:text>時</xsl:text>
	<xsl:value-of select="substring($Jikan,15,2)"/>
	<xsl:text>分</xsl:text>
	<xsl:value-of select="substring($Jikan,18,2)"/>
	<xsl:text>秒</xsl:text>
</xsl:template>

<!-- ============================ -->
<!-- 全角スペース表示テンプレート -->
<!-- ============================ -->
<xsl:template name="blank1"><xsl:text>　</xsl:text></xsl:template>
<xsl:template name="blank2"><xsl:text>　　</xsl:text></xsl:template>
<xsl:template name="blank3"><xsl:text>　　　</xsl:text></xsl:template>
<xsl:template name="blank4"><xsl:text>　　　　</xsl:text></xsl:template>
<xsl:template name="blank5"><xsl:text>　　　　　</xsl:text></xsl:template>
<xsl:template name="blank6"><xsl:text>　　　　　　</xsl:text></xsl:template>

</xsl:stylesheet>

